Bug 91892 - MakeMaker generates duplicate DESTDIR entries
Summary: MakeMaker generates duplicate DESTDIR entries
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: perl (Show other bugs)
(Show other bugs)
Version: alpha 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-29 12:42 UTC by Enrico Scholz
Modified: 2007-04-18 16:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-23 01:03:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2003-05-29 12:42:58 UTC
Description of problem:

---
$ echo 'use ExtUtils::MakeMaker; WriteMakefile();' >Makefile.PL
$ perl Makefile.PL PREFIX=/usr
$ cat Makefile | grep DESTDIR
DESTDIR = 
PREFIX = $(DESTDIR)/usr
PERLPREFIX = $(DESTDIR)$(PREFIX)
SITEPREFIX = $(DESTDIR)$(PREFIX)
VENDORPREFIX = $(DESTDIR)$(PREFIX)
---

when calling 'make install DESTDIR=/tmp/foobar', files will be installed into

| /tmp/foobar/tmp/foobar/usr/perl...

but not into

| /tmp/foobar/usr/perl

as expected.


Version-Release number of selected component (if applicable):

perl-5.8.0-89.pre19525.1

Comment 1 Chip Turner 2003-07-14 15:31:30 UTC
reported upstream, awaiting information

Comment 2 Michael G Schwern 2003-07-21 22:05:46 UTC
See rt.cpan.org bug# 2954.

Comment 3 Michael G Schwern 2003-07-22 00:40:42 UTC
This problem has been fixed in the latest snapshot on makemaker.org.  6.10_08 will be out 
shortly.  See rt.cpan.org bug # 2954 and # 3001 for details.


Note You need to log in before you can comment on or make changes to this bug.